#pragma once
#include "MicroBehaviour.h"
#include "ParticleGenerator.h"

class ZealotGeneralMicroBehaviour : public MicroBehaviour {
public:
	ZealotGeneralMicroBehaviour( UnitModel* sub , UnitManager* u);
	virtual bool execute();
	virtual void nudge();
		std::vector<Position> findSafestNearbyPoints();
private:
	BWAPI::Position targetPosition;
	UnitManager* unitManager;
	Position fallBackLocation;
	bool attacking;
	bool moving;
	Position closestEnemyPos;

protected:


};